<template>
    <div class="col-5">
        <h5 class="mb-5">Update User</h5>
        <form @submit="formSubmit">
            <div class="mb-2">
                <label>Name</label>
                <input type="text" class="form-control" v-model="name">
            </div>
            <div class="mb-4">
                <label>Job</label>
                <input type="text" class="form-control" v-model="job">
            </div>
            <div class="d-flex justify-content-end">
                <button class="btn btn-success">Submit</button>
            </div>
        </form>
        <template>
            <div class="Aligner" style="display:none;">
                <b-modal ref="my-modal" hide-footer>
                <div class="d-block text-center">
                    <i class="material-icons" style="font-size:36px;">check_circle</i>
                    <h5>Update Data Succes</h5>
                </div>
                </b-modal>
            </div>
        </template>
    </div>
</template>

<script>
export default {
  name: 'Adduser',
  data () {
    return {
      name: 'morpheus',
      job: 'zion resident'
    }
  },
  methods: {
    formSubmit (e) {
      e.preventDefault()
      let params = new FormData()
      params.append('name', this.name)
      params.append('job', this.job)
      this.axios.put('https://reqres.in/api/users' + this.$route.params.id, params, {
        headers: {
        }
      })
        .then(response => {
          this.$refs['my-modal'].show()
          setTimeout(() => {
            this.$router.push({ name: 'Starships' })
          }, 1000)
        })
    }
  }
}
</script>

<style lang="scss">
</style>
